summaryrefslogtreecommitdiff
path: root/debian/postrm
diff options
context:
space:
mode:
authorLibravatar Helmut Grohne <[email protected]>2024-06-06 00:30:00 +0200
committerLibravatar Santiago Vila <[email protected]>2024-06-06 17:20:21 +0200
commit0f4e218448a573886b560d59086457670956a41b (patch)
tree9136d9f33e276cc97e214313fa9c96e598e2b6be /debian/postrm
parentd888609a4138041893295f76938b7596b8e85062 (diff)
downloadbase-files-0f4e218448a573886b560d59086457670956a41b.tar.gz
base-files-0f4e218448a573886b560d59086457670956a41b.zip
DEP17: Install /usr-merge aliasing symlinks. Closes: #1064459.
Diffstat (limited to '')
-rw-r--r--debian/postrm11
1 files changed, 11 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..402c738
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "remove" ]; then
+ for d in #USR_MERGE_MULTILIB#; do
+ # Remove DEP17 M4 protective diversions
+ dpkg-divert --quiet --package base-files --remove --no-rename --divert "/.$d.usr-is-merged" "/$d"
+ done
+fi
+
+#DEBHELPER#